--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: The nick of a User may be changed freely, but it must not contain glob patterns.
full_name: Irc::User#nick=
is_singleton: false
name: nick=
params: (newnick)
visibility: public
